import 'package:flutter/services.dart';
import 'package:flutter_test/flutter_test.dart';
import 'package:dark/dark.dart';

void main() {
  const MethodChannel channel = MethodChannel('dark');

  TestWidgetsFlutterBinding.ensureInitialized();

  setUp(() {
    channel.setMockMethodCallHandler((MethodCall methodCall) async {
      return -1;
    });
  });

  tearDown(() {
    channel.setMockMethodCallHandler(null);
  });

  test('getDefaultNightMode', () async {
//    expect(await Dark.getDefaultNightMode,-400);
    print(await Dark.getDefaultNightMode);
  });
}
